# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ShapeDefinition Class Reference

`#include <StepRepr_ShapeDefinition.hxx>`

Inheritance diagram for StepRepr_ShapeDefinition:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_ShapeDefinition ()
| Returns a ShapeDefinition SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a ShapeDefinition Kind Entity that is : 1 -> ProductDefinitionShape 2 -> ShapeAspect 3 -> ShapeAspectRelationship 0 else .
Standard_EXPORT Handle_StepRepr_ProductDefinitionShape | ProductDefinitionShape () const
| returns Value as a ProductDefinitionShape (Null if another type)
Standard_EXPORT Handle_StepRepr_ShapeAspect | ShapeAspect () const
| returns Value as a ShapeAspect (Null if another type)
Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship | ShapeAspectRelationship () const
| returns Value as a ShapeAspectRelationship (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ShapeDefinition::StepRepr_ShapeDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepRepr_ShapeDefinition::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepRepr_ShapeDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_ShapeDefinition::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_ShapeDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepRepr_ProductDefinitionShape StepRepr_ShapeDefinition::ProductDefinitionShape | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepRepr_ShapeDefinition::ShapeAspect | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship StepRepr_ShapeDefinition::ShapeAspectRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepRepr_ShapeDefinition.hxx